<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
   android:orientation="vertical"
    android:layout_height="wrap_content">
    <LinearLayout
        android:layout_width="match_parent"
        android:orientation="horizontal"
        android:background="@drawable/bg_form2"
        android:id="@+id/root"
        android:layout_height="70dp">
        <TextView
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:background="@color/color3"
            />
        <TextView
            android:id="@+id/groupName"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="3"
            tools:text="名\n称"
            android:gravity="center"
            android:textSize="26sp"
            android:textColor="@color/black"/>
        <TextView
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:background="@color/color3"
            />
        <TextView
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="3"
            tools:text=""
            android:gravity="center"
            android:textSize="26sp"
            android:textColor="@color/black"/>
        <TextView
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:background="@color/color3"
            />
        <TextView
            android:id="@+id/btn_copy"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:text="复制"
            android:gravity="center"
            android:textSize="26sp"
            android:textColor="@color/app_color_blue"/>
        <TextView
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:background="@color/color3"
            />
        <TextView
            android:id="@+id/btn_delete"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:text="删除"
            android:gravity="center"
            android:textSize="26sp"
            android:textColor="@color/red_primary"/>
        <TextView
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:background="@color/color3"
            />
        <LinearLayout
            android:id="@+id/ll_arrow"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:gravity="center"
            android:layout_weight="1">
            <TextView
                android:id="@+id/tv_expand"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:text="展开"
                android:gravity="center"
                android:textSize="26sp"
                android:textColor="@color/app_color_blue"/>
            <ImageView
                android:id="@+id/img_arrow"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:background="@mipmap/ic_arrow_left2"
                />
        </LinearLayout>
        <TextView
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:background="@color/color3"
            />
    </LinearLayout>
    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recycle_detail"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_marginStart="50dp"
        android:layout_marginEnd="50dp"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        />
    <LinearLayout
        android:id="@+id/ll_control"
        android:layout_width="match_parent"
        android:gravity="center"
        android:visibility="gone"
        tools:visibility="visible"
        android:layout_height="60dp">
        <TextView
            android:id="@+id/btn_add"
            android:layout_width="400dp"
            android:layout_height="match_parent"
            android:text="+添加物料"
            android:textSize="26sp"
            android:textColor="@color/white"
            android:gravity="center"
            android:layout_gravity="center_horizontal"
            android:background="@drawable/bg_btn_login_selected"
            />
        <TextView
            android:id="@+id/btn_save"
            android:layout_width="400dp"
            android:layout_height="match_parent"
            android:text="保  存"
            android:textSize="26sp"
            android:textColor="@color/white"
            android:gravity="center"
            android:layout_gravity="center_horizontal"
            android:background="@drawable/bg_btn_red_selected"
            />
    </LinearLayout>

</LinearLayout>